OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::DatumProducer< TDatumsNoPtr > Class Template Reference

`#include <datumProducer.hpp>`

## Public Member Functions
| DatumProducer (const std::shared_ptr< Producer > &producerSharedPtr, const unsigned long long frameFirst=0, const unsigned long long frameStep=1, const unsigned long long frameLast=std::numeric_limits< unsigned long long >::max(), const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> &videoSeekSharedPtr=nullptr)
virtual | ~DatumProducer ()
std::pair< bool, std::shared_ptr< TDatumsNoPtr > > | checkIfRunningAndGetDatum ()

## Constructor & Destructor Documentation

template<typename TDatumsNoPtr >

op::DatumProducer< TDatumsNoPtr >::DatumProducer | ( | const std::shared_ptr< Producer > & | producerSharedPtr,
|  | const unsigned long long | frameFirst = `0`,
|  | const unsigned long long | frameStep = `1`,
|  | const unsigned long long | frameLast = `std::numeric_limits<unsigned long long>::max()`,
|  | const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> & | videoSeekSharedPtr = `nullptr`
| ) |  |
| explicit

template<typename TDatumsNoPtr >

op::DatumProducer< TDatumsNoPtr >::~DatumProducer | ( |  | ) |
| virtual

## Member Function Documentation

template<typename TDatumsNoPtr >

std::pair< bool, std::shared_ptr< TDatumsNoPtr > > op::DatumProducer< TDatumsNoPtr >::checkIfRunningAndGetDatum | ( |  | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/producer/datumProducer.hpp